import { r as registerInstance, d as createEvent, h } from './index-000d2977.js';

const popoverReadingSelectCss = "";

const PopoverReadingSelect = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.floodteamSelect = createEvent(this, "floodteamSelect", 7);
    this.readings = [];
  }
  render() {
    return (h("ion-content", { style: {
        "--background": "var(--ion-color-base)",
      } }, h("ion-list", null, (this.readings ? this.readings : []).map((reading) => (h("ion-item", { href: "#", onClick: (event) => {
        event.preventDefault();
        this.floodteamSelect.emit({ event, reading, name: "readingId" });
      }, detail: true }, reading === null || reading === void 0 ? void 0 : reading.name))), h("ion-item", { href: "#", onClick: (event) => {
        event.preventDefault();
        this.floodteamSelect.emit({ event, reading: null, name: "readingId" });
      } }, h("ion-label", null, "Add Reading"), h("ion-icon", { name: "add-circle", slot: "end", color: "primary" })))));
  }
};
PopoverReadingSelect.style = popoverReadingSelectCss;

export { PopoverReadingSelect as popover_reading_select };
